Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.adapters
Class ServerConfig

    java.lang.Object
      org.jboss.embedded.adapters.ServerConfig

All Implemented Interfaces:
  org.jboss.system.server.ServerConfig

    public class ServerConfig

extends java.lang.Object
implements org.jboss.system.server.ServerConfig

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary
`protected org.jboss.bootstrap.BaseServerConfig` | `config`
`protected java.util.Properties` | `props`

Fields inherited from interface org.jboss.system.server.ServerConfig
`BLOCKING_SHUTDOWN, BOOT_LIBRARY_LIST, BOOTSTRAP_URL, DEFAULT_BLOCKING_SHUTDOWN, DEFAULT_EXIT_ON_SHUTDOWN, DEFAULT_INSTALL_LIFE_THREAD, DEFAULT_PARITION_NAME, DEFAULT_PLATFORM_MBEANSERVER, DEFAULT_REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY, DEFAULT_ROOT_DEPLOYMENT_FILENAME, DEFAULT_SERVER_NAME, EXIT_ON_SHUTDOWN, HOME_DIR, HOME_URL, INSTALL_LIFE_THREAD, LIBRARY_URL, LIBRARY_URL_SUFFIX, NATIVE_DIR_PROPERTY, NATIVE_LOAD_PROPERTY, PARTITION_NAME_PROPERTY, PARTITION_UDP_PORT_PROPERTY, PARTITION_UDP_PROPERTY, PATCH_URL, PLATFORM_MBEANSERVER, REQUIRE_JBOSS_URL_STREAM_HANDLER_FACTORY, ROOT_DEPLOYMENT_FILENAME, SERVER_BASE_DIR, SERVER_BASE_DIR_SUFFIX, SERVER_BASE_URL, SERVER_BASE_URL_SUFFIX, SERVER_BIND_ADDRESS, SERVER_CONFIG_URL, SERVER_CONFIG_URL_SUFFIX, SERVER_DATA_DIR, SERVER_DATA_DIR_SUFFIX, SERVER_HOME_DIR, SERVER_HOME_URL, SERVER_LIBRARY_URL, SERVER_LOG_DIR, SERVER_LOG_DIR_SUFFIX, SERVER_NAME, SERVER_TEMP_DIR, SERVER_TEMP_DIR_SUFFIX, SERVER_TYPE`

Constructor Summary
`ServerConfig()`

Method Summary
`boolean` | `getBlockingShutdown()`
`java.net.URL` | `getBootstrapURL()`
`boolean` | `getExitOnShutdown()`
`java.io.File` | `getHomeDir()`
`java.net.URL` | `getHomeURL()`
`java.net.URL` | `getLibraryURL()`
`java.net.URL` | `getPatchURL()`
`boolean` | `getPlatformMBeanServer()`
`boolean` | `getRequireJBossURLStreamHandlerFactory()`
`java.lang.String` | `getRootDeploymentFilename()`
`java.io.File` | `getServerBaseDir()`
`java.net.URL` | `getServerBaseURL()`
`java.net.URL` | `getServerConfigURL()`
`java.io.File` | `getServerDataDir()`
`java.io.File` | `getServerHomeDir()`
`java.net.URL` | `getServerHomeURL()`
`java.net.URL` | `getServerLibraryURL()`
`java.io.File` | `getServerLogDir()`
`java.lang.String` | `getServerName()`
`java.io.File` | `getServerNativeDir()`
`java.io.File` | `getServerTempDeployDir()`
`java.io.File` | `getServerTempDir()`
`java.lang.String` | `getSpecificationVersion()`
`protected void` | `initializeByFile(java.lang.String path)`
`protected void` | `initializeByUnknown()` Creates base JBoss Embedded directory structure under java.io.tmpdir
`void` | `initURLs()`
`boolean` | `isInstallLifeThread()`
`void` | `setBlockingShutdown(boolean flag)`
`void` | `setExitOnShutdown(boolean flag)`
`void` | `setRequireJBossURLStreamHandlerFactory(boolean flag)`
`void` | `setRootDeploymentFilename(java.lang.String filename)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected org.jboss.bootstrap.BaseServerConfig config

### props

    protected java.util.Properties props

Constructor Detail

### ServerConfig

    public ServerConfig()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initializeByFile

    protected void initializeByFile(java.lang.String path)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initializeByUnknown

    protected void initializeByUnknown()
                                throws java.lang.Exception

  Creates base JBoss Embedded directory structure under java.io.tmpdir

  Throws:
    `java.lang.Exception`

### initURLs

    public void initURLs()
                  throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### getHomeDir

    public java.io.File getHomeDir()

  Specified by:
    `getHomeDir` in interface `org.jboss.system.server.ServerConfig`

### getBootstrapURL

    public java.net.URL getBootstrapURL()

  Specified by:
    `getBootstrapURL` in interface `org.jboss.system.server.ServerConfig`

### getHomeURL

    public java.net.URL getHomeURL()

  Specified by:
    `getHomeURL` in interface `org.jboss.system.server.ServerConfig`

### getLibraryURL

    public java.net.URL getLibraryURL()

  Specified by:
    `getLibraryURL` in interface `org.jboss.system.server.ServerConfig`

### getPatchURL

    public java.net.URL getPatchURL()

  Specified by:
    `getPatchURL` in interface `org.jboss.system.server.ServerConfig`

### isInstallLifeThread

    public boolean isInstallLifeThread()

  Specified by:
    `isInstallLifeThread` in interface `org.jboss.system.server.ServerConfig`

### getServerName

    public java.lang.String getServerName()

  Specified by:
    `getServerName` in interface `org.jboss.system.server.ServerConfig`

### getServerBaseDir

    public java.io.File getServerBaseDir()

  Specified by:
    `getServerBaseDir` in interface `org.jboss.system.server.ServerConfig`

### getServerHomeDir

    public java.io.File getServerHomeDir()

  Specified by:
    `getServerHomeDir` in interface `org.jboss.system.server.ServerConfig`

### getServerLogDir

    public java.io.File getServerLogDir()

  Specified by:
    `getServerLogDir` in interface `org.jboss.system.server.ServerConfig`

### getServerTempDir

    public java.io.File getServerTempDir()

  Specified by:
    `getServerTempDir` in interface `org.jboss.system.server.ServerConfig`

### getServerDataDir

    public java.io.File getServerDataDir()

  Specified by:
    `getServerDataDir` in interface `org.jboss.system.server.ServerConfig`

### getServerNativeDir

    public java.io.File getServerNativeDir()

  Specified by:
    `getServerNativeDir` in interface `org.jboss.system.server.ServerConfig`

### getServerTempDeployDir

    public java.io.File getServerTempDeployDir()

  Specified by:
    `getServerTempDeployDir` in interface `org.jboss.system.server.ServerConfig`

### getServerBaseURL

    public java.net.URL getServerBaseURL()

  Specified by:
    `getServerBaseURL` in interface `org.jboss.system.server.ServerConfig`

### getServerHomeURL

    public java.net.URL getServerHomeURL()

  Specified by:
    `getServerHomeURL` in interface `org.jboss.system.server.ServerConfig`

### getServerLibraryURL

    public java.net.URL getServerLibraryURL()

  Specified by:
    `getServerLibraryURL` in interface `org.jboss.system.server.ServerConfig`

### getServerConfigURL

    public java.net.URL getServerConfigURL()

  Specified by:
    `getServerConfigURL` in interface `org.jboss.system.server.ServerConfig`

### getPlatformMBeanServer

    public boolean getPlatformMBeanServer()

  Specified by:
    `getPlatformMBeanServer` in interface `org.jboss.system.server.ServerConfig`

### setExitOnShutdown

    public void setExitOnShutdown(boolean flag)

  Specified by:
    `setExitOnShutdown` in interface `org.jboss.system.server.ServerConfig`

### getExitOnShutdown

    public boolean getExitOnShutdown()

  Specified by:
    `getExitOnShutdown` in interface `org.jboss.system.server.ServerConfig`

### setBlockingShutdown

    public void setBlockingShutdown(boolean flag)

  Specified by:
    `setBlockingShutdown` in interface `org.jboss.system.server.ServerConfig`

### getBlockingShutdown

    public boolean getBlockingShutdown()

  Specified by:
    `getBlockingShutdown` in interface `org.jboss.system.server.ServerConfig`

### setRequireJBossURLStreamHandlerFactory

    public void setRequireJBossURLStreamHandlerFactory(boolean flag)

  Specified by:
    `setRequireJBossURLStreamHandlerFactory` in interface `org.jboss.system.server.ServerConfig`

### getRequireJBossURLStreamHandlerFactory

    public boolean getRequireJBossURLStreamHandlerFactory()

  Specified by:
    `getRequireJBossURLStreamHandlerFactory` in interface `org.jboss.system.server.ServerConfig`

### setRootDeploymentFilename

    public void setRootDeploymentFilename(java.lang.String filename)

  Specified by:
    `setRootDeploymentFilename` in interface `org.jboss.system.server.ServerConfig`

### getRootDeploymentFilename

    public java.lang.String getRootDeploymentFilename()

  Specified by:
    `getRootDeploymentFilename` in interface `org.jboss.system.server.ServerConfig`

### getSpecificationVersion

    public java.lang.String getSpecificationVersion()

  Specified by:
    `getSpecificationVersion` in interface `org.jboss.system.server.ServerConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD